#ifndef STARSTORYREPLY_H
#define STARSTORYREPLY_H
#include "googlereaderreply.h"
#include <QString>
#include <QStringList>

namespace GoogleReader
{
class EditReply : public GoogleReaderReply
{
    Q_OBJECT
public:
    explicit EditReply();
    WebServiceReply::Role role() const;
    QStringList tagsAdded() const;
    QStringList tagsRemoved() const;

private:
    QString m_streamId;
    QString m_itemId;
    QStringList m_tagsToAdd;
    QStringList m_tagsToRemove;
    QString m_feedTitle;
    QString m_newStreamId;
    QString m_action;

    friend class GoogleReaderClient;
};
typedef QSharedPointer<EditReply> EditReplyPtr;
} // namespace GoogleReader
#endif // STARSTORYREPLY_H
